petsc-3.7.1 2016-05-15
Report Typos and Errors

# SNESLineSearchMonitorCancel

Clears all the monitor functions for a SNESLineSearch object.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESLineSearchMonitorCancel(SNESLineSearch ls)

Logically Collective on SNESLineSearch Many br

### Input Parameters

ls -the SNESLineSearch context Many br

### Options Database Key

-snes_linesearch_monitor_cancel -cancels all monitors that have been hardwired Many brinto a code by calls to SNESLineSearchMonitorSet(), but does not cancel those Many brset via the options database Many br

### Notes

There is no way to clear one specific monitor from a SNESLineSearch object. Many br

This does not clear the monitor set with SNESLineSearchSetDefaultMonitor() use SNESLineSearchSetDefaultMonitor(ls,NULL) to cancel Many brthat one. Many br

Many br

### Keywords

SNESLineSearch, nonlinear, set, monitor

### See Also

SNESLineSearchMonitorDefault(), SNESLineSearchMonitorSet()

Level:intermediate
Location:src/snes/linesearch/interface/linesearch.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages